Skip to main content
`Ctrl`+`K`

# number_weakly_connected_components

number_weakly_connected_components(G)

  Returns the number of weakly connected components in G.

  Parameters:
    G NetworkX graph

      A directed graph.

  Returns:
    n integer

      Number of weakly connected components

  Raises:
    NetworkXNotImplemented

      If G is undirected.

  See also

  `weakly_connected_components`
  `number_connected_components`
  `number_strongly_connected_components`

  Notes

  For directed graphs only.

  Examples

      >>> G = nx.DiGraph([(0, 1), (2, 1), (3, 4)])
      >>> nx.number_weakly_connected_components(G)
      2